| Kea 3.0.2-git

cfg_subnets6.h File Reference
`#include <asiolink/io_address.h>`
`#include <dhcp/option.h>`
`#include <dhcp/pkt6.h>`
`#include <cc/cfg_to_element.h>`
`#include <dhcpsrv/cfg_shared_networks.h>`
`#include <dhcpsrv/subnet.h>`
`#include <dhcpsrv/subnet_id.h>`
`#include <dhcpsrv/subnet_selector.h>`
`#include <util/optional.h>`
`#include <boost/shared_ptr.hpp>`
`#include <string>`
Include dependency graph for cfg_subnets6.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::CfgSubnets6
| Holds subnets configured for the DHCPv6 server. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
Pointer to the @c CfgSubnets6 objects.
typedef boost::shared_ptr< CfgSubnets6 > | isc::dhcp::CfgSubnets6Ptr
| Non-const pointer.
typedef boost::shared_ptr< const CfgSubnets6 > | isc::dhcp::ConstCfgSubnets6Ptr
| Const pointer.